### Method

# Fwupd Release set_id

since: 1.7.2

#### Declaration [src]

    void
    fwupd_release_set_id (
      FwupdRelease* self,
      const gchar* id
    )

#### Description [src]

Sets the ID, which allows identifying the specific uploaded component.

Available since: 1.7.2

#### Parameters

`id`

  Type: `const gchar*`

  The AppStream component ID, e.g. `component:1234`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.